2026-10-20
基础地址: https://api-develop.deepraxis.ai/browserbase
请求头: X-BB-API-Key: $PRAXIS_API_KEY
请求 ID 响应头: X-Request-Id
官方 SDK 设置 baseURL 后使用以下接口。代理、反检测、扩展和 Selenium 不可用;region 与 solveCaptchas 接受但忽略。删除登录态返回 200 和 deleted=true;会话响应还可能包含 currentUrl、clients、handoff。
| 操作 | 方法与路径 |
|---|---|
| 创建浏览器会话 | POST /browserbase/v1/sessions |
| 列出浏览器会话 | GET /browserbase/v1/sessions |
| 读取浏览器会话 | GET /browserbase/v1/sessions/{id} |
| 关闭浏览器会话 | POST /browserbase/v1/sessions/{id} |
| 读取调试地址 | GET /browserbase/v1/sessions/{id}/debug |
| 读取会话日志 | GET /browserbase/v1/sessions/{id}/logs |
| 读取会话录像 | GET /browserbase/v1/sessions/{id}/recording |
| 创建登录态 | POST /browserbase/v1/contexts |
| 读取登录态 | GET /browserbase/v1/contexts/{id} |
| 删除登录态 | DELETE /browserbase/v1/contexts/{id} |
/browserbase/v1/sessions● 支持projectIdstring可选The Project ID. Can be found in [Settings](https://www.browserbase.com/settings). Optional - if not provided, the project will be inferred from the API key.
extensionIdstring可选○ 未支持不支持此配置。
browserSettingsobject可选contextobject可选idstring必填The Context ID.
persistboolean可选Whether or not to persist the context after browsing. Defaults to `false`.
extensionIdstring可选○ 未支持不支持此配置。
viewportobject可选widthinteger可选The width of the browser.
heightinteger可选The height of the browser.
blockAdsboolean可选◐ 部分支持接受但忽略;不会启用此能力。
solveCaptchasboolean可选◐ 部分支持接受但忽略;不会启用此能力。
recordSessionboolean可选◐ 部分支持接受但忽略;不会启用此能力。
logSessionboolean可选◐ 部分支持接受但忽略;不会启用此能力。
advancedStealthboolean可选○ 未支持不支持此配置。
verifiedboolean可选○ 未支持不支持此配置。
captchaImageSelectorstring可选Custom selector for captcha image. See [Custom Captcha Solving](/features/stealth-mode#custom-captcha-solving)
captchaInputSelectorstring可选Custom selector for captcha input. See [Custom Captcha Solving](/features/stealth-mode#custom-captcha-solving)
osstring可选○ 未支持不支持此配置。
allowedDomainsarray可选○ 未支持不支持此配置。
ignoreCertificateErrorsboolean可选○ 未支持不支持此配置。
timeoutinteger可选Duration in seconds after which the session will automatically end. Defaults to the Project's `defaultTimeout`. Minimum 60 seconds, maximum 21600 seconds (6 hours).
keepAliveboolean可选Set to true to keep the session alive even after disconnections. Available on the Hobby Plan and above.
proxiesunion可选◐ 部分支持仅省略、false 或 [{type: 'none'}] 可用,其它代理配置返回 501。
proxySettingsobject可选Supplementary proxy settings. Optional.
caCertificatesarray可选The TLS certificate IDs to trust. Optional.
regionstring可选◐ 部分支持接受但忽略;不会启用此能力。
userMetadataobject可选Arbitrary user metadata to attach to the session. To learn more about user metadata, see [User Metadata](/features/sessions#user-metadata).
201
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded and a new resource has been created as a result.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
| connectUrl | string | WebSocket URL to connect to the Session. |
| seleniumRemoteUrl | string | HTTP URL to connect to the Session. |
| signingKey | string | Signing key to use when connecting to the Session via HTTP. |
/browserbase/v1/sessions● 支持statusstring可选qstring可选Query sessions by user metadata. See [Querying Sessions by User Metadata](/features/sessions#querying-sessions-by-user-metadata) for the schema of this query.
200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| [].id | string | |
| [].createdAt | string | |
| [].updatedAt | string | |
| [].projectId | string | The Project ID linked to the Session. |
| [].startedAt | string | |
| [].endedAt | string | |
| [].expiresAt | string | |
| [].status | string | |
| [].proxyBytes | integer | Bytes used via the Proxy |
| [].keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| [].contextId | string | Optional. The Context linked to the Session. |
| [].region | string | The region where the Session is running. |
| [].userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
/browserbase/v1/sessions/{id}● 支持idstring必填200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
| connectUrl | string | WebSocket URL to connect to the Session. |
| seleniumRemoteUrl | string | HTTP URL to connect to the Session. |
| signingKey | string | Signing key to use when connecting to the Session via HTTP. |
/browserbase/v1/sessions/{id}● 支持idstring必填statusstring必填Set to `REQUEST_RELEASE` to request that the session complete. Use before session's timeout to avoid additional charges.
200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the Session. |
| startedAt | string | |
| endedAt | string | |
| expiresAt | string | |
| status | string | |
| proxyBytes | integer | Bytes used via the Proxy |
| keepAlive | boolean | Indicates if the Session was created to be kept alive upon disconnections |
| contextId | string | Optional. The Context linked to the Session. |
| region | string | The region where the Session is running. |
| userMetadata | object | Arbitrary user metadata to attach to the session. To learn more about user metadata, see User Metadata. |
/browserbase/v1/sessions/{id}/debug● 支持expiresIninteger可选Time-to-live of the generated live view URLs, in seconds. If omitted, the URLs expire with the session, up to a maximum of 21600 seconds (6 hours).
idstring必填200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| debuggerFullscreenUrl | string | |
| debuggerUrl | string | |
| pages | array<object> | |
| pages[].id | string | |
| pages[].url | string | |
| pages[].faviconUrl | string | |
| pages[].title | string | |
| pages[].debuggerUrl | string | |
| pages[].debuggerFullscreenUrl | string | |
| wsUrl | string |
/browserbase/v1/sessions/{id}/logs● 支持idstring必填200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| [].method | string | |
| [].pageId | integer | |
| [].sessionId | string | |
| [].request | object | |
| [].request.timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].request.params | object | |
| [].request.rawBody | string | |
| [].response | object | |
| [].response.timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].response.result | object | |
| [].response.rawBody | string | |
| [].timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].frameId | string | |
| [].loaderId | string |
/browserbase/v1/sessions/{id}/recording● 支持idstring必填200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| [].id | string | |
| [].data | object | See rrweb documentation. |
| [].sessionId | string | |
| [].timestamp | integer | milliseconds that have elapsed since the UNIX epoch |
| [].type | integer |
/browserbase/v1/contexts● 支持projectIdstring可选The Project ID. Can be found in [Settings](https://www.browserbase.com/settings). Optional - if not provided, the project will be inferred from the API key.
namestring可选Optional user-defined name for the Context. Leading and trailing whitespace is trimmed before storage. Names are unique within the project among active Contexts, compared case-insensitively.
201
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded and a new resource has been created as a result.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| id | string | |
| publicKey | string | The public key to encrypt the user-data-directory. |
| cipherAlgorithm | string | The cipher algorithm used to encrypt the user-data-directory. AES-256-CBC is currently the only supported algorithm. |
| initializationVectorSize | integer | The initialization vector size used to encrypt the user-data-directory. Read more about how to use it. |
/browserbase/v1/contexts/{id}● 支持idstring必填200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
The request has succeeded.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| id | string | |
| createdAt | string | |
| updatedAt | string | |
| projectId | string | The Project ID linked to the uploaded Context. |
| name | string | Optional user-defined name for the Context. Leading and trailing whitespace is trimmed before storage. Names are unique within the project among active Contexts, compared case-insensitively. |
/browserbase/v1/contexts/{id}● 支持idstring必填200
仅支持服务指南列出的能力;部分官方请求参数不可用。
错误含 statusCode、error、message;自有面另含 code。请求 ID 见 X-Request-Id。 错误
代理、反检测、扩展和 Selenium 不可用。region 和 solveCaptchas 接受但忽略;不提供区域选择或验证码代解。
此接口返回 200 和 JSON 确认;Browserbase 官方为 204。
Context deleted. Praxis returns JSON instead of Browserbase's 204.
application/json
| 名称 | 类型 | 说明 |
|---|---|---|
| deleted | boolean |